=== modified file 'bzrlib/debug.py'
--- bzrlib/debug.py	2009-03-06 04:59:54 +0000
+++ bzrlib/debug.py	2009-03-12 05:11:05 +0000
@@ -20,7 +20,7 @@
 These are set with eg ``-Dlock`` on the bzr command line or in
 ~/.bazaar/bazaar.conf debug_flags.
 
-See "bzr help global-options" or bzrlib/help_topics/__init__.py
+See `bzr help debug-flags` or `bzrlib/help_topics/en/debug-flags.txt`
 for a list of the available options.
 """
 

=== modified file 'bzrlib/help_topics/__init__.py'
--- bzrlib/help_topics/__init__.py	2009-03-03 05:02:36 +0000
+++ bzrlib/help_topics/__init__.py	2009-03-12 05:11:05 +0000
@@ -299,27 +299,7 @@
 
 See doc/developers/profiling.txt for more information on profiling.
 A number of debug flags are also available to assist troubleshooting and
-development.
-
--Dauth            Trace authentication sections used.
--Derror           Instead of normal error handling, always print a traceback
-                  on error.
--Devil            Capture call sites that do expensive or badly-scaling
-                  operations.
--Dfetch           Trace history copying between repositories.
--Dgraph           Trace graph traversal.
--Dhashcache       Log every time a working file is read to determine its hash.
--Dhooks           Trace hook execution.
--Dhpss            Trace smart protocol requests and responses.
--Dhttp            Trace http connections, requests and responses
--Dindex           Trace major index operations.
--Dknit            Trace knit operations.
--Dlock            Trace when lockdir locks are taken or released.
--Dmerge           Emit information for debugging merges.
--Dpack            Emit information about pack operations.
--Dsftp            Trace SFTP internals.
-
-These can also be set in the debug_flags configuration variable.
+development.  See `bzr help debug-flags`.
 """
 
 _standard_options = \
@@ -744,6 +724,8 @@
                         'Details on the configuration settings available')
 topic_registry.register('conflicts', _load_from_file,
                         'Types of conflicts and what to do about them')
+topic_registry.register('debug-flags', _load_from_file,
+                        'Options to show or record debug information')
 topic_registry.register('hooks', _load_from_file,
                         'Points at which custom processing can be added')
 topic_registry.register('log-formats', _load_from_file,

=== added file 'bzrlib/help_topics/en/debug-flags.txt'
--- bzrlib/help_topics/en/debug-flags.txt	1970-01-01 00:00:00 +0000
+++ bzrlib/help_topics/en/debug-flags.txt	2009-03-12 05:11:05 +0000
@@ -0,0 +1,23 @@
+Debug Flags
+===========
+
+These flags can be passed on the bzr command line or (without the ``-D``
+prefix) put in the ``debug_flags`` variable in ``bazaar.conf``.
+
+-Dauth            Trace authentication sections used.
+-Derror           Instead of normal error handling, always print a traceback
+                  on error.
+-Devil            Capture call sites that do expensive or badly-scaling
+                  operations.
+-Dfetch           Trace history copying between repositories.
+-Dgraph           Trace graph traversal.
+-Dhashcache       Log every time a working file is read to determine its hash.
+-Dhooks           Trace hook execution.
+-Dhpss            Trace smart protocol requests and responses.
+-Dhttp            Trace http connections, requests and responses
+-Dindex           Trace major index operations.
+-Dknit            Trace knit operations.
+-Dlock            Trace when lockdir locks are taken or released.
+-Dmerge           Emit information for debugging merges.
+-Dpack            Emit information about pack operations.
+-Dsftp            Trace SFTP internals.

